AESAudioMetadata.Face (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Interface AESAudioMetadata.Face

Enclosing class:
  AESAudioMetadata

    public static interface AESAudioMetadata.Face

Public interface to the nested Face object. Instances of this should be created only by appropriate methods, but can be accessed through the public methods of this interface.

Method Summary
`void` | `addFaceRegion()` Adds a FaceRegion.
`java.lang.String` | `getDirection()` Returns the direction.
`AESAudioMetadata.TimeDesc` | `getDuration()` Returns the duration.
`AESAudioMetadata.FaceRegion` | `getFaceRegion(int i)` Returns an indexed FaceRegion.
`AESAudioMetadata.TimeDesc` | `getStartTime()` Returns the starting time.
`void` | `setDirection(java.lang.String direction)` Sets the direction.
`void` | `setDuration(long samples)` Sets the duration.
`void` | `setStartTime(long samples)` Sets the starting time.

Method Detail

### getFaceRegion

    AESAudioMetadata.FaceRegion getFaceRegion(int i)

  Returns an indexed FaceRegion.

### addFaceRegion

    void addFaceRegion()

  Adds a FaceRegion. This may be called repeatedly to add multiple FaceRegions.

### getStartTime

    AESAudioMetadata.TimeDesc getStartTime()

  Returns the starting time.

### getDuration

    AESAudioMetadata.TimeDesc getDuration()

  Returns the duration.

### getDirection

    java.lang.String getDirection()

  Returns the direction.

### setStartTime

    void setStartTime(long samples)

  Sets the starting time. This will be converted into a TimeDesc.

### setDuration

    void setDuration(long samples)

  Sets the duration. This will be converted into a TimeDesc.

### setDirection

    void setDirection(java.lang.String direction)

  Sets the direction. This must be one of the directionTypes. FORWARD is recommended for most or all cases.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD